## ufoai-2.2.1-source.tar.bz2

=== src/po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2005 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.14.4

PACKAGE = ufoai
VERSION = @VERSION@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
VPATH = @srcdir@

prefix = @prefix@
exec_prefix = @exec_prefix@
datadir = @datadir@
localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
MKINSTALLDIRS = @MKINSTALLDIRS@
mkinstalldirs = $(SHELL) $(MKINSTALLDIRS)

GMSGFMT = msgfmt
MSGFMT = msgfmt
XGETTEXT = xgettext
MSGMERGE = msgmerge
MSGMERGE_UPDATE = msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter
UFOPO := $(top_srcdir)/po/ufopo.pl
MSGCAT = msgcat

POFILES = $(wildcard *.po)
GMOFILES = $(POFILES:.po=.gmo)
UPDATEPOFILES = $(POFILES:.po=.po-update)
DUMMYPOFILES = $(POFILES:.po=.nop)
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \

CATALOGS = @CATALOGS@

# Makevars gets inserted here. (Don't remove this line!)
include Makevars

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: all-yes

all-yes: stamp-po
all-no:

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test ! -f $(srcdir)/$(DOMAIN).pot || \
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
	  echo "touch stamp-po" && \
	  echo timestamp > stamp-poT && \
	  mv stamp-poT stamp-po; \
	}

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
	else \
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
	fi; \
	$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	  --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
	  --files-from=$(srcdir)/POTFILES.in \
	  --copyright-holder='$(COPYRIGHT_HOLDER)' \
	  --msgid-bugs-address="$$msgid_bugs_address" \
	  --output=$(DOMAIN).c.po

	if test -f $(DOMAIN).c.po ; then \
	  sed s/charset=CHARSET/charset=UTF-8/ $(DOMAIN).c.po > $(DOMAIN).c1.po ;\
	fi

	if test -r $(srcdir)/FINDUFOS ;\
	then ${UFOPO} --directory=$(top_srcdir) \
	  `cd $(top_srcdir) && sh $(subdir)/FINDUFOS` > $(DOMAIN).ufo.po ;\
	fi

	if test -f $(DOMAIN).ufo.po -a -f $(DOMAIN).c1.po ; then \
	  msgcat --sort-by-file $(DOMAIN).c1.po $(DOMAIN).ufo.po -o $(DOMAIN).po ;\
	elif test -f $(DOMAIN).ufo.po ; then \
	  mv $(DOMAIN).ufo.po $(DOMAIN).po ;\
	else \
	  mv $(DOMAIN).c1.po $(DOMAIN).po ;\
	fi
	rm -f $(DOMAIN).c.po $(DOMAIN).c1.po $(DOMAIN).ufo.po

	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	if test -f "$(srcdir)/$${lang}.po"; then \
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
	  cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
	else \
	  $(MAKE) $${lang}.po-create; \
	fi


install: install-exec install-data
install-exec:
install-data: install-data-@USE_NLS@
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  for file in Makevars; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
	    fi; \
	  done; \
	done

install-strip: install

installdirs: installdirs-exec installdirs-data
installdirs-exec:
installdirs-data: installdirs-data-@USE_NLS@
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	else \
	  : ; \
	fi
installdirs-data-no:
installdirs-data-yes:
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	    fi; \
	  done; \
	done

# Define this as empty until I found a useful application.
installcheck:

uninstall: uninstall-exec uninstall-data
uninstall-exec:
uninstall-data: uninstall-data-@USE_NLS@
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
uninstall-data-no:
uninstall-data-yes:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
	    rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	  done; \
	done

check: all

info dvi ps pdf html tags TAGS ctags CTAGS ID:

mostlyclean:
	rm -f remove-potcdate.sed
	rm -f stamp-poT
	rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile.in POTFILES *.mo *.gmo

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f stamp-po $(GMOFILES)

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir:
	$(MAKE) update-po
	@$(MAKE) dist2
# This is a separate target because 'update-po' must be executed before.
dist2: stamp-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  dists="$$dists Makevars.template"; \
	fi; \
	if test -f $(srcdir)/$(DOMAIN).pot; then \
	  dists="$$dists $(DOMAIN).pot stamp-po"; \
	fi; \
	if test -f $(srcdir)/ChangeLog; then \
	  dists="$$dists ChangeLog"; \
	fi; \
	for i in 0 1 2 3 4 5 6 7 8 9; do \

=== src/docs/tex/Makefile ===
all:
	pdflatex ufo-manual_EN.tex
	pdflatex ufo-manual_EN.tex	

clean:
	-rm chapters/*.aux
	-rm *.aux *.log *.out *.toc *.pdf

=== src/ports/linux/installer/Makefile ===
all: update_installer_data makeself

EXT=pk3
ROOTDIR=../../../../
#relative from root dir
INSTDIR=src/ports/linux/installer/
#everything inside this dir will be compressed to the self extracting archive
DATADIR=data
#this is only for arranging the path names and tar the zip files
#this step is needed - otherwise loki_setup would automatically extract
#all zip files
TEMPDIR=tmp
#get the version of ufo
VERSION_UC=$(shell grep UFO_VERSION $(ROOTDIR)src/common/common.h | sed -e 's/.*UFO_VERSION\s*\(.*\)/\1/' | sed -e 's/\"//g')
VERSION_LC=$(shell echo $(VERSION_UC) | sed -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/;')
#get the size of the zip data archives
SIZE=$(shell LANG=C; du -sch $(TEMPDIR)/base/*.$(EXT) $(BINARIES) | tail -1 | cut -f1;)

#grab the gtkradiant 1.5 archive from this url
GTKRADIANT_URL=http://mattn.ninex.info/download/gtkradiant.tar.bz2

BINARIES = \
	$(ROOTDIR)ufo \
	$(ROOTDIR)ufoded \
	$(ROOTDIR)ufo2map \
	$(ROOTDIR)base/game.so

BINARIES_64 = \
	$(ROOTDIR)ufo.x86_64 \
	$(ROOTDIR)ufoded.x86_64 \
	$(ROOTDIR)ufo2map.x86_64 \
	$(ROOTDIR)base/game_x86_64.so

packdata:
	@mkdir -p $(TEMPDIR)/base
	@tar -cvjp -f $(DATADIR)/ufo-x86.tar.bz2 $(BINARIES)
	@tar -cvjp -f $(DATADIR)/ufo-x86_64.tar.bz2 $(BINARIES_64)
	@cd $(ROOTDIR); tar -cvjp -f $(INSTDIR)$(DATADIR)/i18n.tar.bz2 base/i18n/ --exclude .svn --exclude updated*
	cd $(ROOTDIR); tar -cvjp -f $(INSTDIR)$(DATADIR)/mapsource.tar.bz2 base/maps/ --exclude .svn --exclude *.bsp --exclude *.autosave* --exclude *.bak
	@cp -u $(ROOTDIR)base/*.$(EXT) $(TEMPDIR)/base
	@cd $(TEMPDIR); tar -cvp -f ../$(DATADIR)/data.tar base
	@cd $(DATADIR); wget -nc $(GTKRADIANT_URL)

update_installer_data:
	@sed 's/@VERSION@/$(VERSION_UC)/g' setup.xml.in | sed 's/@SIZE@/$(SIZE)/g' > $(DATADIR)/setup.data/setup.xml
	@sed 's/@VERSION@/$(VERSION_UC)/g' README.in > $(DATADIR)/setup.data/README

makeself:
	./makeself.sh --nocomp $(DATADIR)/ ufoai-$(VERSION_LC)-linux.run "UFO:Alien Invasion $(VERSION_UC) Installer" sh setup.sh

=== src/ports/macosx/installer/Makefile ===
#all: update_installer_data build_dmg
all: create-dmg

EXT=pk3
ROOTDIR=../../../../
#relative from root dir
INSTDIR=src/ports/macosx/installer/
#get the version of ufo
VERSION_UC=$(shell grep UFO_VERSION $(ROOTDIR)src/common/common.h | sed -e 's/.*UFO_VERSION\s*\(.*\)/\1/' | sed -e 's/\"//g')
VERSION_LC=$(shell echo $(VERSION_UC) | sed -e 'y/ABCDEFGHIJKLMNOPQRSTUVWXYZ/abcdefghijklmnopqrstuvwxyz/;')

PACKAGE_NAME=ufoai-$(VERSION_LC)-macosx-$(TARGET_CPU)

BINARIES = \
	$(ROOTDIR)ufo \
	$(ROOTDIR)ufoded \
	$(ROOTDIR)ufo2map
BINARIES_BASE = \
	$(ROOTDIR)base/game.dylib

bundle_dirs:
	@mkdir -p UFOAI.app/base
# These are part of the svn repository as directories
#	@mkdir -p UFOAI.app/Contents/MacOS
#	@mkdir -p UFOAI.app/Contents/Frameworks
#	@mkdir -p UFOAI.app/Contents/Libraries

package_dir:
	@rm -rf $(PACKAGE_NAME)
	@mkdir -p $(PACKAGE_NAME)

updateversion:
	@sed 's/@VERSION@/$(VERSION_UC)/g' UFOAI.app/Contents/Info.plist.in > UFOAI.app/Contents/Info.plist

copybinaries: bundle_dirs
	@cp $(BINARIES) UFOAI.app/Contents/MacOS
	@cp $(BINARIES_BASE) UFOAI.app/base

copydata: bundle_dirs
	@cp -v $(ROOTDIR)base/*.$(EXT) UFOAI.app/base/
	@cp -r $(ROOTDIR)base/i18n UFOAI.app/base/i18n

copynotes: package_dir
	@cp $(ROOTDIR)README $(PACKAGE_NAME)
	@cp $(ROOTDIR)CONTRIBUTORS $(PACKAGE_NAME)
	@cp $(ROOTDIR)COPYING $(PACKAGE_NAME)

copylibs:
	@rm -rf UFOAI.app/Contents/Frameworks/*.framework
	@perl macfixlibs.pl


copy_package_bundle: package_dir bundle
	@cp -r UFOAI.app $(PACKAGE_NAME)

strip_dev_files: copy_package_bundle
	@find -d $(PACKAGE_NAME) -name .svn -exec rm -rf {} \;

bundle: copybinaries copydata copylibs copynotes

# for testing:
bundle-nodata: copybinaries copylibs copynotes

create-dmg: bundle updateversion copy_package_bundle strip_dev_files
	@rm $(PACKAGE_NAME).dmg
	@hdiutil create -srcfolder $(PACKAGE_NAME) $(PACKAGE_NAME).dmg


build_dmg: copybinaries copylibs
	@cp -v $(ROOTDIR)base/*.$(EXT) UFOAI.app/base/
#	for dir in $(ROOTDIR)base/i18n/*; do \
#		mkdir -p UFOAI.app/base/i18n/$$dir/LC_MESSAGES; \
#		cp $(ROOTDIR)base/$$dir/LC_MESSAGES/ufoai.mo UFOAI.app/base/$$dir/LC_MESSAGES/ufoai.mo; \
#	done
	@cp -r $(ROOTDIR)base/i18n UFOAI.app/base/i18n
	@rm -f $(PACKAGE_NAME).dmg
	@cp $(ROOTDIR)README UFOAI.app
	@cp $(ROOTDIR)CONTRIBUTORS UFOAI.app
	@cp $(ROOTDIR)COPYING UFOAI.app
	@hdiutil create -srcfolder UFOAI.app $(PACKAGE_NAME).dmg

update_installer_data:
	@sed 's/@VERSION@/$(VERSION_UC)/g' UFOAI.app/Contents/Info.plist.in > UFOAI.app/Contents/Info.plist

=== debian/changelog ===
ufoai (2.2~~svn11980) unstable; urgency=low

  * Removed snd_* (SDL sound is merged into the ufo binary)
  * Removed openal
  * Added libcurl

 -- Martin Gerhardy <martin.gerhardy@gmail.com>  Wed, 26 Sep 2007 07:54:13 +0100

ufoai (2.2~~svn11864) unstable; urgency=low

  * Removed vid_glx and vid_sdl (only SDL is used now, and that's merged
    into the ufo binary)
  * Removed X11 dependencies, only use SDL
  * Updated the ufo start script (no more vid_ref cvar needed, gl_driver
    [resp. r_driver] should not be needed anymore, too)
  * Removed svn version hack
  * Added 0media.pk3 (also contains the ttf font files)
  * Removed qdata binary
  * Fixed target path for pk3 files

 -- Martin Gerhardy <martin.gerhardy@gmail.com>  Wed, 19 Sep 2007 22:09:13 +0100

ufoai (2.2~~svn11853) unstable; urgency=low

  * Explicitely disable openal support as advised by dev-team.
  * Build in ./BUILD/, not ./build/ which is already used for something
    else.
  * Made installation of maps more robust and more portable.
  * Enable curses console for the server.
  * Include ufomaster in package ufoai-server.
  * Include qdata and md2tag_export.py in package ufoai-tools.
  * Moved sound and video modules into their own binary packages.
  * Ship packed data files (except fonts, since we use the system ones,
    and shaders, which are packed with them upstream, and are not worth a
    pack).
  * Merge ufoai-data-maps into ufoai-data.

 -- Yann Dirson <dirson@debian.org>  Wed, 25 Apr 2007 00:44:13 +0200

ufoai (2.1~~svn) unstable; urgency=low

  * Use new single-package layout, with autoconf-based build system.
  * Added build-dependency on libarts1-dev.

 -- Yann Dirson <dirson@debian.org>  Sun,  5 Nov 2006 17:01:29 +0100

ufoai (2.0~rc5+svn) unstable; urgency=low

  * SVN snapshot.
  * Depend on newer data package.
  * Drop update-ufoai-campaign script (and thus ufoai-common package), no
    longer applying to current code.
  * Build map-building tool, in new ufoai-tools package.
  * Build standalone server, in new ufoai-server package.
  * Automatically update package version to use SVN revision number when
    run from a SVN working copy.
  * Simplified /usr/games/ufo script much, now that ~/.ufoai is used by the
    game itself.

 -- Yann Dirson <dirson@debian.org>  Tue, 25 Jul 2006 23:44:20 +0200

ufoai (0.0.040218-0.8) unstable; urgency=low

  * Have DEB_BUILD_OPTIONS exported, so that the binaries really do not
    get stripped.

 -- Yann Dirson <dirson@debian.org>  Tue, 20 Apr 2004 11:32:05 +0200

ufoai (0.0.040218-0.7) unstable; urgency=low

  * Made Sys_GetGameAPI() to look for game.so instead of a lib with an
    arch-dependant name, thus allowing building on more archs than just
    i386 and alpha.  Updated all Makefiles with this name while I was at
    it.
  * Make so that update-ufoai-campaign properly removes the generated
    campaign when no snippets are found, instead of failing when removing
    the last data package.

 -- Yann Dirson <dirson@debian.org>  Mon, 19 Apr 2004 20:35:32 +0200

ufoai (0.0.040218-0.6) unstable; urgency=low

  * Added update-ufoai-campaign script, in new ufoai-common package.

 -- Yann Dirson <dirson@debian.org>  Mon, 19 Apr 2004 00:27:34 +0200

ufoai (0.0.040218-0.5) unstable; urgency=low

  * Set DEB_BUILD_OPTIONS=nostrip so that people can give useful info on
    coredumps.
  * Ensure gl_ref/gl_rmain.c::R_Init() returns 0 when reaching end of
    function, fixing the problem where people reported the OpenGL renderer
    did not init where there was no error reported - fix from upstream
    found at http://ufo.myexp.de/phpBB2/viewtopic.php?t=327
  * Use libGL.so.1 as default driver, not libGL.so, so that people do not
    need a libgl-dev package installed.

 -- Yann Dirson <dirson@debian.org>  Sun, 18 Apr 2004 20:34:25 +0200

ufoai (0.0.040218-0.4) unstable; urgency=low

  * Added a MIN_ZOOM parameter in client/cl_input.c, and set it to 0.5
    instead of the 1.0 default, so that we can have a better view of the
    terrain even at small screen resolutions.  Also changed
    client/cl_view.c for the limit (for some reason the limits in the 2
    files are out of sync).
  * Improved wrapper script to allow users to replace symlinks with
    modified copies of system files and dirs (eg. to change keybindings).
  * Make wrapper script pass command-line arguments to ufo binary.
  * Do not force drivers to use on each ufo invocation, just if the config
    file has not been written yet, and no special args are given on
    command-line.

 -- Yann Dirson <dirson@debian.org>  Sat, 17 Apr 2004 23:28:22 +0200

ufoai (0.0.040218-0.3) UNRELEASED; urgency=low

  * Fixed typo in wrapper script.

 -- Yann Dirson <dirson@debian.org>  Sat, 17 Apr 2004 00:20:16 +0200

ufoai (0.0.040218-0.2) UNRELEASED; urgency=low

  * Enhanced the wrapper script to setup a ~/.ufoai/ suitable for running
    the game, so that config and games can be saved.
  * Depend on new version of ufoai-data, which does not ship the system
    save/ directory any more.
  * Enhanced the package description.
  * Create in the docdir a "docs" symlink to the ufoai-data docdir, where
    the docs are located.

 -- Yann Dirson <dirson@debian.org>  Fri, 16 Apr 2004 22:14:43 +0200

ufoai (0.0.040218-0.1) UNRELEASED; urgency=low

  * Remove the dependency on quake2, since the game appears to work
    without it.

 -- Yann Dirson <dirson@debian.org>  Thu, 15 Apr 2004 08:57:24 +0200

ufoai (0.0.040218-0) UNRELEASED; urgency=low

  * Initial Release.

 -- Yann Dirson <dirson@debian.org>  Thu, 15 Apr 2004 00:23:30 +0200

=== debian/control ===
Source: ufoai
Section: contrib/games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 4.0.0), dh-buildinfo, libpng-dev, libjpeg-dev, libgl-dev, libsdl-dev, libsdl-ttf2.0-dev, libsdl-mixer1.2-dev, ncurses-dev, libcurl3-dev
Standards-Version: 3.6.1

Package: ufoai
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ufoai-data (>= 2.2~~svn), libsdl-ttf2.0-0, libsdl-mixer1.2, libcurl3
Suggests: ufoai-data-music
Description: UFO: Alien Invasion - build your team and stop the aliens
 "UFO: Alien Invasion" is a game inspired by the XCOM "UFO" series.
 .
 As manager of an international military force dedicated to stop the
 Alien Invasion, you prepare your soldiers and attack the aliens on
 various sites on the Earth.
 .
 The tactical part of the game uses OpenGL, and is based on the Quake2
 engine.  A multiplayer mode is also available.

Package: ufoai-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: blender
Description: UFO: Alien Invasion - data-building tool
 "UFO: Alien Invasion" is a game inspired by the XCOM "UFO" series.
 .
 This package includes the map-building tool.

Package: ufoai-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ufoai-data (>= 2.2~~svn)
Description: UFO: Alien Invasion - standalone game server
 "UFO: Alien Invasion" is a game inspired by the XCOM "UFO" series.
 .
 This package includes the standalone game server.
 It is only needed if you want to setup a permanent game server.

Package: ufoai-data
Architecture: all
Depends: ${misc:Depends}, ttf-freefont, ttf-dejavu
Recommends: ufoai
Description: Data for UFO: Alien Invasion
 This package contains all the non-optional game data for UFO:AI:
 maps, models, units, sound effects, etc.

Package: ufoai-data-music
Architecture: all
Depends: ${misc:Depends}
Recommends: ufoai
Description: Data for UFO: Alien Invasion
 This package contains the music for UFO:AI.  It is recommended to
 fully experience the game, but not required.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Copyright 2004, 2006 Yann Dirson.
# Based on debhelper sample by Joey Hess.

export LC_ALL=C
vercmd=dpkg-parsechangelog | grep ^Version: | cut -c 10- | sed s/\\./\\./g

FONTDIR=debian/ufoai-data/usr/lib/games/ufoai/base/media

export DH_OPTIONS

CFLAGS = -Wall -g

# let's do debugging
export DEB_BUILD_OPTIONS=nostrip

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O4
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

versionconfig:
 # setup package version for SVN builds
	set -e; if [ -d .svn ]; then \
	  SRCVER=$(shell $(vercmd)) ;\
	  CURVER=`svn info|grep ^Revision:| cut -c11-` ;\
	  if [ -n "$$CURVER" ] ; then \
	    sed 1s/$$SRCVER/$${SRCVER%svn*}svn$$CURVER/ < debian/changelog > debian/cl2;\
	    mv debian/cl2 debian/changelog ;\
	  fi ;\
	fi

config.status:
	dh_testdir

	./configure --with-curses

build-arch: stamps/build-arch
stamps/build-arch: config.status
	dh_testdir

	$(MAKE) BUILDDIR=$(CURDIR)/BUILD

	mkdir -p stamps
	touch $@

build-indep: stamps/build-indep
stamps/build-indep: config.status
	dh_testdir

	$(MAKE) BUILDDIR=$(CURDIR)/BUILD lang maps
	cd base && ./archives.sh

	mkdir -p stamps
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf stamps

	$(MAKE) BUILDDIR=$(CURDIR)/BUILD distclean
	find maps -name '*.bsp' | xargs --no-run-if-empty rm

	set -e; if [ -d .svn ]; then \
	  SRCVER=$(shell $(vercmd)) ;\
	  sed 1s/$$SRCVER/$${SRCVER%svn*}svn/ < debian/changelog > debian/cl2;\
	  mv debian/cl2 debian/changelog ;\
	fi

	dh_clean

install-arch: stamps/build-arch
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	dh_install
 # FIXME: dh_fixperms should handle that
	chmod +x debian/ufoai/usr/games/ufo

install-indep: stamps/build-indep
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	dh_install

  # add links to fonts
	mkdir -p $(FONTDIR)
	ln -s /usr/share/fonts/truetype/freefont/FreeSans.ttf $(FONTDIR)
	ln -s /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf $(FONTDIR)

# No architecture-independent files here.
binary-indep: DH_OPTIONS=-i
binary-indep: versionconfig install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: versionconfig install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	ln -s ../ufoai-data debian/ufoai/usr/share/doc/ufoai/docs
	dh_buildinfo
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf
#	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build: build-arch build-indep
binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
